@import 'https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.0/normalize.css';
@import 'https://use.fontawesome.com/releases/v5.0.13/css/all.css';
body {
  background-color: #4e5c7b;
  overflow: hidden; }

.hidden {
  display: none; }

.invisible {
  opacity: 0; }

hr {
  border: 0;
  border-top: 1px dashed #545d6f;
  width: 10vw; }

html {
  overflow: scroll;
  overflow-x: hidden; }

::-webkit-scrollbar {
  width: 0px;
  /* remove scrollbar space */
  background: transparent;
  /* optional: just make scrollbar invisible */ }

/* optional: show position indicator in red
::-webkit-scrollbar-thumb {
    background: #FF0000;
}
 */
.App {
  position: fixed;
  overflow: hidden;
  height: 100vh;
  width: 100vw;
  margin: 0;
  padding: 0; }

.timestamp {
  color: #94adb796;
  padding: 0 0.4rem 0 0; }

.highlight {
  font-size: 1.6rem;
  color: #f0f4ff; }

#spinner_container {
  position: fixed;
  top: 0;
  z-index: 9000;
  background-color: rgba(0, 0, 0, 0.48);
  width: 100vw;
  height: 100vh; }

#spinner_container .loadingText {
  color: rgba(0, 0, 0, 0.301961);
  z-index: 1000;
  position: relative; }

.spinner {
  margin: calc(20vh) auto auto;
  width: 70px;
  text-align: center; }

.spinner > div {
  width: 18px;
  height: 18px;
  background-color: #ffffff;
  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both; }

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s; }

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s; }

@-webkit-keyframes sk-bouncedelay {
  0%,
  100%,
  80% {
    -webkit-transform: scale(0); }
  40% {
    -webkit-transform: scale(1); } }

@keyframes sk-bouncedelay {
  0%,
  100%,
  80% {
    -webkit-transform: scale(0);
    transform: scale(0); }
  40% {
    -webkit-transform: scale(1);
    transform: scale(1); } }

#navigationComponent {
  position: absolute;
  background-color: #93adb7d1;
  width: 100vw;
  height: 2rem;
  top: 0;
  -webkit-box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75);
  box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75); }

#navigationComponent .info {
  margin: -.35rem 0 0;
  padding: 0 0 0 0.2rem;
  color: #343d51;
  font-size: 2.3rem;
  height: 3rem;
  font-family: VT323,monospace;
  float: left; }

#navigationComponent .controls {
  margin: 0.06rem 0 0;
  padding: 0.1rem 1rem 0;
  color: #4e5c7b;
  font-size: 1.5rem;
  height: 1.80rem;
  font-family: VT323,monospace;
  float: right; }

.logged-in {
  border-radius: 0.3rem;
  color: #b3c7d3 !important;
  background-color: #6e829a; }

#overlayComponent {
  top: 0;
  z-index: 1000;
  width: 100vw;
  height: 100vh;
  position: fixed;
  background-color: transparent; }

#overlayComponent_container {
  margin: 6rem auto 0;
  background-color: rgba(255, 255, 255, 0.95);
  padding: 2rem 1rem 0.5rem;
  height: calc(100vh - 15rem);
  width: 44rem;
  border-radius: 0.3rem;
  -webkit-box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75);
  box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.75);
  overflow: hidden; }

#overlayComponent .content pre {
  font-size: .7rem; }

#overlayComponent .content {
  position: relative;
  top: -3rem;
  height: 100%;
  width: 100%;
  font-size: 1.2rem;
  text-align: left;
  font-family: VT323,monospace;
  overflow: scroll; }

#overlayComponent_container .control {
  display: inline;
  font-size: 2rem;
  position: relative;
  color: #4d5b7a;
  top: -1.7rem;
  right: -.76rem;
  float: right; }

.chat_link {
  position: relative;
  top: -0.1rem;
  font-size: 1.2rem;
  color: #b8e5ec;
  text-decoration: none;
  border-bottom: 1px #579da7 dashed; }

.chat_link:hover {
  color: #ffffff;
  text-decoration: none;
  border-bottom: 1px #9e9e9e dashed; }

.warning_more {
  animation-name: warning_more;
  animation-duration: .5s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1; }

.warning_flash {
  animation-name: warning_flash;
  animation-duration: .5s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1; }

@keyframes warning_more {
  50% {
    background-color: rgba(255, 255, 255, 0.2); } }

@keyframes warning_flash {
  50% {
    background-color: rgba(189, 107, 107, 0.8); } }

.disconnected {
  background-color: #444444 !important; }

.disconnected .terminal_input {
  display: none; }

.disconnected .terminal_display {
  background-color: #444444 !important; }
